camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Olivier Sambourg (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-7835) camel-test-spring doesn't support Spring 4.1.0.RELEASE
Date Wed, 09 Sep 2015 11:59:46 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-7835?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14736726#comment-14736726
] 

Olivier Sambourg commented on CAMEL-7835:
-----------------------------------------

Same here, stuck with 2.14.x (because of Java 6) but now we can't upgrade Spring to 4.1 because
of this. Any chance of a camel-test-spring41 in 2.14.x?

> camel-test-spring doesn't support Spring 4.1.0.RELEASE
> ------------------------------------------------------
>
>                 Key: CAMEL-7835
>                 URL: https://issues.apache.org/jira/browse/CAMEL-7835
>             Project: Camel
>          Issue Type: Task
>          Components: camel-test
>    Affects Versions: 2.14.0
>            Reporter: Henrik
>            Assignee: Claus Ibsen
>              Labels: deprecation, junit, spring, test
>             Fix For: 2.15.0
>
>
> CamelSpringJUnit4ClassRunner calls the TestContextManager(Class, String) constructor,
and the TestContextManager.getDefaultTestExecutionListenerClasses() method.  
> Both of these are deprecated in spring-test-4.0.x, and are gone in 4.1.x. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message